%global momorel 2

Name: kazehakase
Version: 0.2.6
Release: %{momorel}m
Summary: Gecko, dillo and w3m based web browser using GTK
License: GPL
Group: Applications/Internet
%global md5source0 cd64b5a4b884097839aeed4fb7aa96dc
%NoSource 0 http://dl.sourceforge.jp/kazehakase/14012/%{name}-%{version}.tar.gz %{md5source0}
Patch0: kazehakase-libexec.patch
Patch1: kazehakase-0.1.0-embed-library-path.patch
# Patch2: kazehakase-0.1.9-mozver_fake.patch
URL: http://kazehakase.sourceforge.jp/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: mozilla-devel >= 1.5
BuildPrereq: gtk+-devel >= 2.0
BuildPrereq: gcc-c++ >= 3.4.1-1m
BuildPrereq: expat-devel
BuildPrereq: migemo
Requires: migemo

%description
Kazehakase is a web browser, using Gecko, dillo, w3m as HTML rendering
engine.

Currently kazehakase only supports Gecko Engine.  Dillo will be supported
when dillo embed comes available (maybe version 0.7.0)

Kazehakase has toolbar with rss/rdf menus, rss/rdf viewer, normal bookmarks,
search window for google.  These are to be available as plugins.

%prep
%setup -q

# %%patch0 -p2 -b .libexec
# %%patch1 -p1 -b .path
# %%patch2 -p1 -b .mozver

%build
./autogen.sh
%configure --enable-migemo
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# # move 'kz' to libexec
# mkdir -p %{buildroot}/%{_libexecdir}/%{name}
# mv %{buildroot}/%{_bindir}/kz %{buildroot}/%{_libexecdir}/%{name}/

# copy user config files to %{_datadir}/config-sample/kazehakase/
mkdir -p %{buildroot}/%{_datadir}/config-sample/%{name}/
cp -a %{buildroot}/%{_sysconfdir}/%{name}/* %{buildroot}/%{_datadir}/config-sample/%{name}/
echo > %{buildroot}/%{_datadir}/config-sample/%{name}/README.en <<EOF
copy files in this directory to ~/.kazehakase/
EOF

# # move 'kzrc' to %{_sysconfdir}
# mkdir -p %{buildroot}/%{_sysconfdir}
# mv %{buildroot}/%{_datadir}/%{name}/kzrc %{buildroot}/%{_sysconfdir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING* ChangeLog README* TODO*
%{_sysconfdir}/kazehakase/kz-ui-beginner.xml
%{_sysconfdir}/kazehakase/kz-ui-bookmarks.xml
%{_sysconfdir}/kazehakase/kz-ui-expert.xml
%{_sysconfdir}/kazehakase/kz-ui-medium.xml
%{_sysconfdir}/kazehakase/mozilla/encodings.xml
%config(noreplace) %{_sysconfdir}/kazehakase/bookmarkbar.xml
%config(noreplace) %{_sysconfdir}/kazehakase/bookmarks.xml
%config(noreplace) %{_sysconfdir}/kazehakase/kzrc
%config(noreplace) %{_sysconfdir}/kazehakase/proxyrc
%config(noreplace) %{_sysconfdir}/kazehakase/smartbookmarks.xml
%{_bindir}/kazehakase
%{_datadir}/applications/kazehakase.desktop
%{_datadir}/config-sample/%{name}
%{_datadir}/kazehakase
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/pixmaps/*.png
%{_mandir}/man1/kazehakase.1*

%changelog
* Mon Apr 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.6-2m)
- rebuild against mozilla-1.7.7

* Thu Mar 31 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.6-1m)
- update to 0.2.6 for mozilla-1.7.6

* Fri Jan 21 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.3-1m)
- version 0.2.3

* Sat Oct 30 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org> 
- (0.2.1-2m)
- modified %%files

* Sat Oct 30 2004 kourin <kourin@momonga-linux.org>
- (0.2.1-1m)
- version 0.2.1

* Wed Sep 29 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.2.0-3m)
- rebuild against gcc-c++-3.4.1

* Wed Sep 29 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.2.0-2m)
- fix label bug
  see http://lists.sourceforge.jp/mailman/archives/kazehakase-devel/2004-September/001600.html

* Wed Sep 29 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.2.0-1m)
- version 0.2.0

* Thu Sep 16 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.1.9-2m)
- rebuild against mozilla-1.7.3

* Sun Aug 29 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.1.9-1m)
- version 0.1.9

* Wed Aug 11 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.1.8.1-3m)
- enable migemo

* Sat Aug  7 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.1.8.1-2m)
- rebuild against mozilla-1.7.2

* Fri Jul 30 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.1.8.1-1m)
- version 0.1.8.1

* Thu Jul 29 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.1.8-1m)
- version 0.1.8

* Sat Jul 10 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.1.7-2m)
- apply duplicate-tab.patch
- http://sourceforge.jp/tracker/index.php?func=detail&aid=4525&group_id=388&atid=1529

* Tue Jun 29 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.1.7-1m)
- ver. up

* Mon Jun 14 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.1.6-1m)
- version 0.1.6

* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (0.1.4-1m)
- version up. rebuild against gtk+-2.4.0.

* Mon Mar 1 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.1.3-1m)
- version 0.1.3

* Thu Feb 18 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.1.2-1m)
- version 0.1.2

* Sat Jan 17 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.1.1-2m)
- rebuild against mozilla-1.6

* Mon Dec 29 2003 Junichiro Kita <kita@momonga-linux.org>
- (0.1.1-1m)
- version 0.1.1

* Fri Dec 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.1.0-2m)
- embed path of mozilla library for prelinking

* Sun Nov 30 2003 Junichiro Kita <kita@momonga-linux.org>
- (0.1.0-1m)
- version 0.1.0

* Sun Nov  9 2003 Junichiro Kita <kita@momonga-linux.org>
- (0.0.9.1-1m)
- version 0.0.9.1

* Fri Oct 17 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.0.8-2m)
- rebuild against mozilla-1.5

*Wed Oct 1 2003 Hiramoto Takeshi <takeshi@momonga-linux.org>
- (0.0.8-1m)
- version 0.0.8

*Mon Sep 1 2003 Hiramoto Takeshi <takeshi@momonga-linux.org>
- (0.0.7-2m)
- cvs version (20030901)

* Sun Aug 31 2003 Hiramoto Takeshi <takeshi@momonga-linux.org>
- (0.0.7-1m)
- version 0.0.7

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.0.6-8m)
- copy user config files to %%{_datadir}/config-sample/kazehakase/

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.0.6-7m)
- make patch to read /etc/kzrc and then read ~/.kazehakase/kzrc

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.0.6-6m)
- move 'kzrc' to %%{_sysconfdir}/ and %%config(noreplace)

*Thu Aug 14 2003 YAMZAKI Makoto <uomaster@nifty.com>
- (0.0.6-5m)
- move 'kz' to %%{_libexecdir}/kazehakase/

*Thu Aug 14 2003 YAMZAKI Makoto <uomaster@nifty.com>
- (0.0.6-4m)
- revise %%files

*Thu Aug 14 2003 Takeshi Hiramoto <takeshi@momonga-linux.org>
- (0.0.6-3m)
- add source

*Tue Aug 12 2003 Takeshi Hiramoto <takeshi@momonga-linux.org>
- (0.0.6-2m)
- cvs version (20030811)

*Mon Aug 11 2003 Takeshi Hiramoto <takeshi@momonga-linux.org>
- (0.0.6-1m)
- version 0.0.6
